'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = require('./utils');

exports.default = configContext => {
  const TermPickerInput = configContext.inputComponents.TermPickerInput;
  const config = configContext.configHelpers.configKey;


  return {
    localityGroupList: {
      localityGroup: {
        [config]: {
          compute: _utils.computeDecimalLatLong
        },
        fieldLocCounty: {
          [config]: {
            view: {
              type: TermPickerInput,
              props: {
                source: 'fieldloccounty'
              }
            }
          }
        },
        fieldLocState: {
          [config]: {
            view: {
              type: TermPickerInput,
              props: {
                source: 'fieldlocstate'
              }
            }
          }
        },
        fieldLocCountry: {
          [config]: {
            view: {
              type: TermPickerInput,
              props: {
                source: 'fieldloccountry'
              }
            }
          }
        },
        decimalLatitude: {
          [config]: {
            view: {
              props: {
                readOnly: true
              }
            }
          }
        },
        decimalLongitude: {
          [config]: {
            view: {
              props: {
                readOnly: true
              }
            }
          }
        },
        geoRefSource: {
          [config]: {
            view: {
              type: TermPickerInput,
              props: {
                source: 'georefsource'
              }
            }
          }
        }
      }
    }
  };
};