"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = configContext => {
  const React = configContext.lib.React;
  var _configContext$layout = configContext.layoutComponents;
  const Panel = _configContext$layout.Panel,
        Row = _configContext$layout.Row,
        Cols = _configContext$layout.Cols,
        Col = _configContext$layout.Col;
  var _configContext$record = configContext.recordComponents;
  const Field = _configContext$record.Field,
        InputTable = _configContext$record.InputTable;


  return React.createElement(
    Field,
    { name: "localityGroupList" },
    React.createElement(
      Field,
      { name: "localityGroup" },
      React.createElement(
        Panel,
        null,
        React.createElement(
          Row,
          null,
          React.createElement(Field, { name: "fieldLocVerbatim" }),
          React.createElement(Field, { name: "fieldLocPlace" })
        ),
        React.createElement(
          Row,
          null,
          React.createElement(Field, { name: "fieldLocCounty" }),
          React.createElement(Field, { name: "fieldLocState" }),
          React.createElement(Field, { name: "fieldLocCountry" }),
          React.createElement(Field, { name: "fieldLocHigherGeography" })
        ),
        React.createElement(
          Row,
          null,
          React.createElement(Field, { name: "vLatitude" }),
          React.createElement(Field, { name: "vLongitude" }),
          React.createElement(Field, { name: "vCoordinates" }),
          React.createElement(Field, { name: "vOtherCoords" }),
          React.createElement(Field, { name: "vCoordSys" })
        ),
        React.createElement(
          Row,
          null,
          React.createElement(Field, { name: "decimalLatitude" }),
          React.createElement(Field, { name: "decimalLongitude" }),
          React.createElement(Field, { name: "geodeticDatum" }),
          React.createElement(Field, { name: "coordUncertainty" }),
          React.createElement(Field, { name: "coordUncertaintyUnit" })
        ),
        React.createElement(
          Cols,
          null,
          React.createElement(
            Col,
            null,
            React.createElement(
              InputTable,
              { name: "depth" },
              React.createElement(Field, { name: "vDepth" }),
              React.createElement(Field, { name: "minDepth" }),
              React.createElement(Field, { name: "maxDepth" }),
              React.createElement(Field, { name: "depthUnit" })
            ),
            React.createElement(
              InputTable,
              { name: "elevation" },
              React.createElement(Field, { name: "vElevation" }),
              React.createElement(Field, { name: "minElevation" }),
              React.createElement(Field, { name: "maxElevation" }),
              React.createElement(Field, { name: "elevationUnit" })
            ),
            React.createElement(
              InputTable,
              { name: "distanceAboveSurface" },
              React.createElement(Field, { name: "vDistanceAboveSurface" }),
              React.createElement(Field, { name: "minDistanceAboveSurface" }),
              React.createElement(Field, { name: "maxDistanceAboveSurface" }),
              React.createElement(Field, { name: "distanceAboveSurfaceUnit" })
            )
          ),
          React.createElement(
            Col,
            null,
            React.createElement(Field, { name: "localityNote" }),
            React.createElement(
              Row,
              null,
              React.createElement(Field, { name: "localitySource" }),
              React.createElement(Field, { name: "localitySourceDetail" })
            )
          )
        ),
        React.createElement(
          Panel,
          { name: "georefDetail", collapsible: true, collapsed: true },
          React.createElement(
            Row,
            null,
            React.createElement(Field, { name: "pointRadiusSpatialFit" }),
            React.createElement(Field, { name: "footprintWKT" }),
            React.createElement(Field, { name: "footprintSRS" }),
            React.createElement(Field, { name: "footprintSpatialFit" }),
            React.createElement(Field, { name: "coordPrecision" })
          ),
          React.createElement(
            Row,
            null,
            React.createElement(Field, { name: "geoRefencedBy" }),
            React.createElement(Field, { name: "geoRefDateGroup" }),
            React.createElement(Field, { name: "geoRefProtocol" }),
            React.createElement(Field, { name: "geoRefSource" }),
            React.createElement(Field, { name: "geoRefVerificationStatus" })
          ),
          React.createElement(
            Row,
            null,
            React.createElement(Field, { name: "geoRefRemarks" }),
            React.createElement(Field, { name: "geoRefPlaceName" })
          )
        )
      )
    )
  );
};