'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = configContext => {
  var _configContext$inputC = configContext.inputComponents;
  const CompoundInput = _configContext$inputC.CompoundInput,
        TextInput = _configContext$inputC.TextInput,
        AutocompleteInput = _configContext$inputC.AutocompleteInput;
  const config = configContext.configHelpers.configKey;


  return {
    params: {
      [config]: {
        view: {
          type: CompoundInput
        }
      },
      Requester: {
        [config]: {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.ucjepsUOCbyRequesterObject.Requester.name',
              'defaultMessage': 'Requester'
            }
          }),
          view: {
            type: AutocompleteInput,
            props: {
              source: 'person/local,person/shared,organization/local,organization/shared,organization/determination,organization/institution,organization/nomenclature,organization/typeassertion',
              showQuickAdd: false
            }
          }
        }
      },
      ObjectNumber: {
        [config]: {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.ucjepsUOCbyRequesterObject.ObjectNumber.name',
              'defaultMessage': 'Object number'
            }
          }),
          view: {
            type: TextInput
          }
        }
      }
    }
  };
};