'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

const messages = (0, _reactIntl.defineMessages)({
  localityGroup: {
    'id': 'field.collectionobjects_naturalhistory.localityGroup.name',
    'defaultMessage': 'Locality'
  },
  referenceGroup: {
    'id': 'field.collectionobjects_common.referenceGroup.name',
    'defaultMessage': 'Reference'
  }
});

const template = configContext => {
  const React = configContext.lib.React;
  var _configContext$layout = configContext.layoutComponents;
  const Col = _configContext$layout.Col,
        Cols = _configContext$layout.Cols,
        Panel = _configContext$layout.Panel,
        Row = _configContext$layout.Row;
  var _configContext$record = configContext.recordComponents;
  const Field = _configContext$record.Field,
        InputTable = _configContext$record.InputTable;


  return React.createElement(
    Field,
    { name: 'document' },
    React.createElement(
      Panel,
      { name: 'collectorLabel', collapsible: true },
      React.createElement(Field, { name: 'labelHeader', subpath: 'ns2:collectionobjects_naturalhistory' }),
      React.createElement(
        Field,
        { name: 'taxonomicIdentGroupList', subpath: 'ns2:collectionobjects_naturalhistory' },
        React.createElement(
          Field,
          { name: 'taxonomicIdentGroup' },
          React.createElement(
            Panel,
            null,
            React.createElement(
              Row,
              null,
              React.createElement(Field, { name: 'taxon' }),
              React.createElement(Field, { name: 'qualifier' })
            ),
            React.createElement(
              InputTable,
              { name: 'taxonIdent' },
              React.createElement(Field, { name: 'identBy' }),
              React.createElement(Field, { name: 'identDateGroup' }),
              React.createElement(Field, { name: 'institution' })
            ),
            React.createElement(
              Cols,
              null,
              React.createElement(
                Col,
                null,
                React.createElement(Field, { name: 'identKind' }),
                React.createElement(
                  InputTable,
                  { name: 'taxonRef' },
                  React.createElement(Field, { name: 'reference' }),
                  React.createElement(Field, { name: 'refPage' })
                )
              ),
              React.createElement(Field, { name: 'notes' })
            )
          )
        )
      ),
      React.createElement(
        Field,
        { name: 'referenceGroupList' },
        React.createElement(
          Field,
          { name: 'referenceGroup', labelMessage: messages.referenceGroup },
          React.createElement(Field, { name: 'reference' }),
          React.createElement(Field, { name: 'referenceNote' })
        )
      ),
      React.createElement(
        Field,
        { name: 'localNameGroupList', subpath: 'ns2:collectionobjects_naturalhistory' },
        React.createElement(
          Field,
          { name: 'localNameGroup' },
          React.createElement(Field, { name: 'localName' }),
          React.createElement(Field, { name: 'localNameLanguage' })
        )
      ),
      React.createElement(
        Field,
        {
          name: 'localityGroupList',
          subpath: 'ns2:collectionobjects_naturalhistory',
          labelMessage: messages.localityGroup
        },
        React.createElement(
          Field,
          { name: 'localityGroup' },
          React.createElement(
            Panel,
            null,
            React.createElement(
              Cols,
              null,
              React.createElement(
                Col,
                null,
                React.createElement(Field, { name: 'fieldLocVerbatim' })
              )
            ),
            React.createElement(
              Row,
              null,
              React.createElement(Field, { name: 'fieldLocCounty' }),
              React.createElement(Field, { name: 'fieldLocState' }),
              React.createElement(Field, { name: 'fieldLocCountry' })
            ),
            React.createElement(
              Row,
              null,
              React.createElement(Field, { name: 'vLatitude' }),
              React.createElement(Field, { name: 'vLongitude' })
            ),
            React.createElement(
              Cols,
              null,
              React.createElement(
                Col,
                null,
                React.createElement(
                  InputTable,
                  { name: 'depth' },
                  React.createElement(Field, { name: 'vDepth' }),
                  React.createElement(Field, { name: 'minDepth' }),
                  React.createElement(Field, { name: 'maxDepth' }),
                  React.createElement(Field, { name: 'depthUnit' })
                )
              ),
              React.createElement(
                Col,
                null,
                React.createElement(
                  InputTable,
                  { name: 'elevation' },
                  React.createElement(Field, { name: 'vElevation' }),
                  React.createElement(Field, { name: 'minElevation' }),
                  React.createElement(Field, { name: 'maxElevation' }),
                  React.createElement(Field, { name: 'elevationUnit' })
                )
              )
            )
          )
        )
      ),
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: 'fieldCollectionNote' }),
          React.createElement(
            Field,
            { name: 'briefDescriptions' },
            React.createElement(Field, { name: 'briefDescription' })
          ),
          React.createElement(
            Field,
            { name: 'comments' },
            React.createElement(Field, { name: 'comment' })
          )
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: 'sex' }),
          React.createElement(Field, { name: 'phase' }),
          React.createElement(
            Field,
            { name: 'forms' },
            React.createElement(Field, { name: 'form' })
          ),
          React.createElement(Field, { name: 'fieldCollectionDateGroup' }),
          React.createElement(
            Field,
            { name: 'fieldCollectors' },
            React.createElement(Field, { name: 'fieldCollector' })
          ),
          React.createElement(Field, { name: 'fieldCollectionNumber' }),
          React.createElement(Field, {
            name: 'fieldCollectionNumberAssignor',
            subpath: 'ns2:collectionobjects_naturalhistory'
          })
        )
      ),
      React.createElement(
        Field,
        { name: 'associatedTaxaGroupList', subpath: 'ns2:collectionobjects_naturalhistory' },
        React.createElement(
          Field,
          { name: 'associatedTaxaGroup' },
          React.createElement(Field, { name: 'associatedTaxon' }),
          React.createElement(Field, { name: 'commonName' }),
          React.createElement(Field, { name: 'interaction' })
        )
      ),
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(
            Row,
            null,
            React.createElement(Field, { name: 'objectCountNumber', subpath: 'ns2:collectionobjects_naturalhistory' }),
            React.createElement(
              'div',
              { style: { flex: '0 0', paddingTop: '22px' } },
              'of'
            ),
            React.createElement(Field, { name: 'numberOfObjects' })
          )
        ),
        React.createElement(Col, null)
      ),
      React.createElement(Field, { name: 'labelFooter', subpath: 'ns2:collectionobjects_naturalhistory' })
    )
  );
};

exports.default = configContext => ({
  messages: (0, _reactIntl.defineMessages)({
    name: {
      'id': 'form.collectionobject.collector.name',
      'defaultMessage': 'Collector Label Template'
    }
  }),
  template: template(configContext)
});