"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
const template = configContext => {
  const React = configContext.lib.React;
  var _configContext$layout = configContext.layoutComponents;
  const Col = _configContext$layout.Col,
        Cols = _configContext$layout.Cols,
        Panel = _configContext$layout.Panel,
        Row = _configContext$layout.Row;
  var _configContext$record = configContext.recordComponents;
  const Field = _configContext$record.Field,
        InputTable = _configContext$record.InputTable;
  const CompoundInput = configContext.inputComponents.CompoundInput;
  const extensions = configContext.config.extensions;


  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(
      Panel,
      { name: "id", collapsible: true },
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "objectNumber" }),
          React.createElement(Field, { name: "collection" })
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "basicStorageLocation", subpath: "ns2:collectionobjects_naturalhistory" })
        )
      ),
      React.createElement(
        Field,
        { name: "taxonomicIdentGroupList", subpath: "ns2:collectionobjects_naturalhistory" },
        React.createElement(
          Field,
          { name: "taxonomicIdentGroup" },
          React.createElement(
            Panel,
            null,
            React.createElement(
              Row,
              null,
              React.createElement(Field, { name: "taxon" }),
              React.createElement(Field, { name: "qualifier" })
            ),
            React.createElement(
              InputTable,
              { name: "taxonIdent" },
              React.createElement(Field, { name: "identBy" }),
              React.createElement(Field, { name: "identDateGroup" }),
              React.createElement(Field, { name: "institution" })
            ),
            React.createElement(
              Cols,
              null,
              React.createElement(
                Col,
                null,
                React.createElement(Field, { name: "identKind" }),
                React.createElement(
                  InputTable,
                  { name: "taxonRef" },
                  React.createElement(Field, { name: "reference" }),
                  React.createElement(Field, { name: "refPage" })
                )
              ),
              React.createElement(Field, { name: "notes" })
            )
          )
        )
      ),
      React.createElement(
        Row,
        null,
        React.createElement(
          Field,
          { name: "localNameGroupList", subpath: "ns2:collectionobjects_naturalhistory" },
          React.createElement(
            Field,
            { name: "localNameGroup" },
            React.createElement(Field, { name: "localName" }),
            React.createElement(Field, { name: "localNameLanguage" })
          )
        ),
        React.createElement(Col, null)
      ),
      React.createElement(
        Row,
        null,
        React.createElement(
          Field,
          { name: "hybridParentGroupList", subpath: "ns2:collectionobjects_naturalhistory" },
          React.createElement(
            Field,
            { name: "hybridParentGroup" },
            React.createElement(Field, { name: "hybridParent" }),
            React.createElement(Field, { name: "hybridParentQualifier" })
          )
        ),
        React.createElement(Field, { name: "hybridName", subpath: "ns2:collectionobjects_naturalhistory" })
      ),
      React.createElement(Field, { name: "labelHeader", subpath: "ns2:collectionobjects_naturalhistory" }),
      React.createElement(Field, { name: "labelFooter", subpath: "ns2:collectionobjects_naturalhistory" }),
      React.createElement(
        Row,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(
            Row,
            null,
            React.createElement(Field, { name: "objectCountNumber", subpath: "ns2:collectionobjects_naturalhistory" }),
            React.createElement(
              "div",
              { style: { flex: '0 0', paddingTop: '22px' } },
              "of"
            ),
            React.createElement(Field, { name: "numberOfObjects" })
          ),
          React.createElement(Field, { name: "recordStatus" }),
          React.createElement(
            Field,
            { name: "briefDescriptions" },
            React.createElement(Field, { name: "briefDescription" })
          )
        ),
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "otherNumberList" },
            React.createElement(
              Field,
              { name: "otherNumber" },
              React.createElement(Field, { name: "numberValue" }),
              React.createElement(Field, { name: "numberType" })
            )
          ),
          React.createElement(
            Field,
            { name: "comments" },
            React.createElement(Field, { name: "comment" })
          )
        )
      ),
      React.createElement(
        Field,
        { name: "typeSpecimenGroupList", subpath: "ns2:collectionobjects_naturalhistory" },
        React.createElement(
          Field,
          { name: "typeSpecimenGroup" },
          React.createElement(Field, { name: "typeSpecimenKind" }),
          React.createElement(Field, { name: "typeSpecimenAssertionBy" }),
          React.createElement(Field, { name: "typeSpecimenReference" }),
          React.createElement(Field, { name: "typeSpecimenRefPage" }),
          React.createElement(Field, { name: "typeSpecimenBasionym" }),
          React.createElement(Field, { name: "typeSpecimenNotes" })
        )
      ),
      React.createElement(
        InputTable,
        { name: "donor" },
        React.createElement(Field, { name: "donor", subpath: "ns2:collectionobjects_naturalhistory" }),
        React.createElement(Field, { name: "donorDateGroup", subpath: "ns2:collectionobjects_naturalhistory" }),
        React.createElement(Field, { name: "donorNote", subpath: "ns2:collectionobjects_naturalhistory" })
      )
    ),
    React.createElement(
      Panel,
      { name: "collect", collapsible: true, collapsed: true },
      React.createElement(
        Row,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "fieldCollectionDateGroup" }),
          React.createElement(
            Field,
            { name: "fieldCollectors" },
            React.createElement(Field, { name: "fieldCollector" })
          ),
          React.createElement(Field, { name: "fieldCollectionNumber" }),
          React.createElement(Field, {
            name: "fieldCollectionNumberAssignor",
            subpath: "ns2:collectionobjects_naturalhistory"
          })
        ),
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "fieldCollectionMethods" },
            React.createElement(Field, { name: "fieldCollectionMethod" })
          ),
          React.createElement(Field, { name: "fieldCollectionNote" }),
          React.createElement(
            Field,
            { name: "associatedTaxaGroupList", subpath: "ns2:collectionobjects_naturalhistory" },
            React.createElement(
              Field,
              { name: "associatedTaxaGroup" },
              React.createElement(Field, { name: "associatedTaxon" }),
              React.createElement(Field, { name: "commonName" }),
              React.createElement(Field, { name: "interaction" })
            )
          )
        )
      )
    ),
    React.createElement(
      Panel,
      { name: "locality", collapsible: true, collapsed: true },
      React.createElement(
        CompoundInput,
        { subpath: "ns2:collectionobjects_naturalhistory" },
        extensions.locality.form
      )
    ),
    React.createElement(
      Panel,
      { name: "desc", collapsible: true, collapsed: true },
      React.createElement(
        Row,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "sex" }),
          React.createElement(Field, { name: "phase" }),
          React.createElement(
            Field,
            { name: "forms" },
            React.createElement(Field, { name: "form" })
          )
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "handwritten", subpath: "ns2:collectionobjects_ucjeps" }),
          React.createElement(Field, { name: "postToPublic", subpath: "ns2:collectionobjects_ucjeps" }),
          React.createElement(Field, { name: "cultivated", subpath: "ns2:collectionobjects_naturalhistory" })
        )
      ),
      extensions.annotation.collectionobject.form,
      React.createElement(
        Panel,
        { name: "hist", collapsible: true, collapsed: true },
        React.createElement(
          Panel,
          { name: "assoc", collapsible: true, collapsed: true },
          React.createElement(
            Row,
            null,
            React.createElement(
              Col,
              null,
              React.createElement(
                Field,
                { name: "assocActivityGroupList" },
                React.createElement(
                  Field,
                  { name: "assocActivityGroup" },
                  React.createElement(Field, { name: "assocActivity" }),
                  React.createElement(Field, { name: "assocActivityType" }),
                  React.createElement(Field, { name: "assocActivityNote" })
                )
              ),
              React.createElement(
                Field,
                { name: "assocObjectGroupList" },
                React.createElement(
                  Field,
                  { name: "assocObjectGroup" },
                  React.createElement(Field, { name: "assocObject" }),
                  React.createElement(Field, { name: "assocObjectType" }),
                  React.createElement(Field, { name: "assocObjectNote" })
                )
              ),
              React.createElement(
                Field,
                { name: "assocConceptGroupList" },
                React.createElement(
                  Field,
                  { name: "assocConceptGroup" },
                  React.createElement(Field, { name: "assocConcept" }),
                  React.createElement(Field, { name: "assocConceptType" }),
                  React.createElement(Field, { name: "assocConceptNote" })
                )
              ),
              React.createElement(
                Field,
                { name: "assocCulturalContextGroupList" },
                React.createElement(
                  Field,
                  { name: "assocCulturalContextGroup" },
                  React.createElement(Field, { name: "assocCulturalContext" }),
                  React.createElement(Field, { name: "assocCulturalContextType" }),
                  React.createElement(Field, { name: "assocCulturalContextNote" })
                )
              ),
              React.createElement(
                Field,
                { name: "assocOrganizationGroupList" },
                React.createElement(
                  Field,
                  { name: "assocOrganizationGroup" },
                  React.createElement(Field, { name: "assocOrganization" }),
                  React.createElement(Field, { name: "assocOrganizationType" }),
                  React.createElement(Field, { name: "assocOrganizationNote" })
                )
              ),
              React.createElement(
                Field,
                { name: "assocPeopleGroupList" },
                React.createElement(
                  Field,
                  { name: "assocPeopleGroup" },
                  React.createElement(Field, { name: "assocPeople" }),
                  React.createElement(Field, { name: "assocPeopleType" }),
                  React.createElement(Field, { name: "assocPeopleNote" })
                )
              ),
              React.createElement(
                Field,
                { name: "assocPersonGroupList" },
                React.createElement(
                  Field,
                  { name: "assocPersonGroup" },
                  React.createElement(Field, { name: "assocPerson" }),
                  React.createElement(Field, { name: "assocPersonType" }),
                  React.createElement(Field, { name: "assocPersonNote" })
                )
              ),
              React.createElement(
                Field,
                { name: "assocPlaceGroupList" },
                React.createElement(
                  Field,
                  { name: "assocPlaceGroup" },
                  React.createElement(Field, { name: "assocPlace" }),
                  React.createElement(Field, { name: "assocPlaceType" }),
                  React.createElement(Field, { name: "assocPlaceNote" })
                )
              )
            ),
            React.createElement(
              Col,
              null,
              React.createElement(
                InputTable,
                { name: "assocEvent" },
                React.createElement(Field, { name: "assocEventName" }),
                React.createElement(Field, { name: "assocEventNameType" })
              ),
              React.createElement(
                Field,
                { name: "assocEventOrganizations" },
                React.createElement(Field, { name: "assocEventOrganization" })
              ),
              React.createElement(
                Field,
                { name: "assocEventPeoples" },
                React.createElement(Field, { name: "assocEventPeople" })
              ),
              React.createElement(
                Field,
                { name: "assocEventPersons" },
                React.createElement(Field, { name: "assocEventPerson" })
              ),
              React.createElement(
                Field,
                { name: "assocEventPlaces" },
                React.createElement(Field, { name: "assocEventPlace" })
              ),
              React.createElement(Field, { name: "assocEventNote" }),
              React.createElement(
                Field,
                { name: "assocDateGroupList" },
                React.createElement(
                  Field,
                  { name: "assocDateGroup" },
                  React.createElement(Field, { name: "assocStructuredDateGroup" }),
                  React.createElement(Field, { name: "assocDateType" }),
                  React.createElement(Field, { name: "assocDateNote" })
                )
              )
            )
          )
        ),
        React.createElement(Field, { name: "objectHistoryNote" }),
        React.createElement(
          Field,
          { name: "usageGroupList" },
          React.createElement(
            Field,
            { name: "usageGroup" },
            React.createElement(Field, { name: "usage" }),
            React.createElement(Field, { name: "usageNote" })
          )
        ),
        React.createElement(
          Row,
          null,
          React.createElement(
            Col,
            null,
            React.createElement(
              Field,
              { name: "owners" },
              React.createElement(Field, { name: "owner" })
            ),
            React.createElement(
              Field,
              { name: "ownershipDateGroupList" },
              React.createElement(Field, { name: "ownershipDateGroup" })
            )
          ),
          React.createElement(
            Col,
            null,
            React.createElement(
              Row,
              null,
              React.createElement(Field, { name: "ownershipAccess" }),
              React.createElement(Field, { name: "ownershipCategory" })
            ),
            React.createElement(Field, { name: "ownershipPlace" })
          )
        ),
        React.createElement(
          InputTable,
          { name: "ownershipExchange" },
          React.createElement(Field, { name: "ownershipExchangeMethod" }),
          React.createElement(Field, { name: "ownershipExchangeNote" }),
          React.createElement(Field, { name: "ownershipExchangePriceCurrency" }),
          React.createElement(Field, { name: "ownershipExchangePriceValue" })
        )
      ),
      React.createElement(
        Panel,
        { name: "reference", collapsible: true, collapsed: true },
        React.createElement(
          Field,
          { name: "referenceGroupList" },
          React.createElement(
            Field,
            { name: "referenceGroup" },
            React.createElement(Field, { name: "reference" }),
            React.createElement(Field, { name: "referenceNote" })
          )
        )
      )
    ),
    React.createElement(
      Panel,
      { name: "hierarchy", collapsible: true, collapsed: true },
      React.createElement(Field, { name: "relation-list-item", subpath: "rel:relations-common-list" })
    )
  );
};

exports.default = configContext => ({
  template: template(configContext)
});