"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
const template = configContext => {
  const React = configContext.lib.React;
  var _configContext$layout = configContext.layoutComponents;
  const Col = _configContext$layout.Col,
        Cols = _configContext$layout.Cols,
        Panel = _configContext$layout.Panel,
        Row = _configContext$layout.Row;
  var _configContext$record = configContext.recordComponents;
  const Field = _configContext$record.Field,
        InputTable = _configContext$record.InputTable;


  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(
      Panel,
      { name: "info", collapsible: true },
      React.createElement(
        Row,
        null,
        React.createElement(Field, { name: "lenderLoanNumber", subpath: "ns2:loansin_naturalhistory" }),
        React.createElement(Field, { name: "loanPurpose" })
      ),
      React.createElement(
        Field,
        { name: "lenderGroupList" },
        React.createElement(
          Field,
          { name: "lenderGroup" },
          React.createElement(Field, { name: "lender" }),
          React.createElement(Field, { name: "lendersContact" }),
          React.createElement(Field, { name: "lendersAuthorizer" }),
          React.createElement(Field, { name: "lendersAuthorizationDate" })
        )
      ),
      React.createElement(
        InputTable,
        { name: "borrower" },
        React.createElement(Field, { name: "borrowersContact" }),
        React.createElement(Field, { name: "borrowersAuthorizer" }),
        React.createElement(Field, { name: "borrowersAuthorizationDate" })
      ),
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "loanInConditions" }),
          React.createElement(Field, { name: "loanInNote" })
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "majorGroup", subpath: "ns2:loansin_naturalhistory" }),
          React.createElement(
            Field,
            { name: "geographyList", subpath: "ns2:loansin_naturalhistory" },
            React.createElement(Field, { name: "geography" })
          ),
          React.createElement(
            Field,
            { name: "taxonomyList", subpath: "ns2:loansin_naturalhistory" },
            React.createElement(Field, { name: "taxonomy" })
          ),
          React.createElement(
            Field,
            { name: "objKindList", subpath: "ns2:loansin_naturalhistory" },
            React.createElement(Field, { name: "objKind" })
          )
        )
      ),
      React.createElement(
        Field,
        { name: "loanStatusGroupList" },
        React.createElement(
          Field,
          { name: "loanStatusGroup" },
          React.createElement(Field, { name: "loanStatus" }),
          React.createElement(Field, { name: "loanStatusNote" }),
          React.createElement(Field, { name: "loanStatusDate" })
        )
      ),
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "loanInDate" }),
          React.createElement(Field, { name: "dueDate", subpath: "ns2:loansin_naturalhistory" }),
          React.createElement(Field, { name: "loanRenewalApplicationDate" }),
          React.createElement(Field, { name: "shipDate", subpath: "ns2:loansin_naturalhistory" }),
          React.createElement(Field, { name: "loanReturnDate" })
        ),
        React.createElement(
          Col,
          null,
          React.createElement(
            Panel,
            { name: "manualCount" },
            React.createElement(Field, { name: "numReceived", subpath: "ns2:loansin_naturalhistory" }),
            React.createElement(Field, { name: "numReturned", subpath: "ns2:loansin_naturalhistory" }),
            React.createElement(Field, { name: "numTransferredOut", subpath: "ns2:loansin_naturalhistory" }),
            React.createElement(Field, { name: "balance", subpath: "ns2:loansin_naturalhistory" }),
            React.createElement(Field, { name: "discrepancy", subpath: "ns2:loansin_naturalhistory" })
          )
        )
      ),
      React.createElement(
        InputTable,
        { name: "transferIn" },
        React.createElement(Field, { name: "transferInDate", subpath: "ns2:loansin_naturalhistory" }),
        React.createElement(Field, { name: "transferInOrg", subpath: "ns2:loansin_naturalhistory" }),
        React.createElement(Field, { name: "transferInPerson", subpath: "ns2:loansin_naturalhistory" })
      )
    ),
    React.createElement(
      Panel,
      { name: "return", collapsible: true, collapsed: true },
      React.createElement(
        Field,
        { name: "returnGroupList", subpath: "ns2:loansin_naturalhistory" },
        React.createElement(
          Field,
          { name: "returnGroup" },
          React.createElement(Field, { name: "returnDate" }),
          React.createElement(Field, { name: "returnQuantity" }),
          React.createElement(Field, { name: "returnNotes" })
        )
      )
    ),
    React.createElement(
      Panel,
      { name: "transferOut", collapsible: true, collapsed: true },
      React.createElement(
        Field,
        { name: "transferOutGroupList", subpath: "ns2:loansin_naturalhistory" },
        React.createElement(
          Field,
          { name: "transferOutGroup" },
          React.createElement(
            Panel,
            null,
            React.createElement(
              Cols,
              null,
              React.createElement(
                Col,
                null,
                React.createElement(Field, { name: "transferOutDate" }),
                React.createElement(Field, { name: "transferOutQuantity" }),
                React.createElement(Field, { name: "transferOutOrg" })
              ),
              React.createElement(
                Col,
                null,
                React.createElement(Field, { name: "transferOutPerson" }),
                React.createElement(Field, { name: "transferOutDirector" }),
                React.createElement(Field, { name: "transferOutNotes" })
              )
            ),
            React.createElement(
              InputTable,
              { name: "transferOutReturn" },
              React.createElement(Field, { name: "transferOutReturnDate" }),
              React.createElement(Field, { name: "transferOutReturnQuantity" }),
              React.createElement(Field, { name: "transferOutReturnNotes" })
            )
          )
        )
      )
    )
  );
};

exports.default = configContext => ({
  template: template(configContext)
});