'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = configContext => data => {
  var _configContext$record = configContext.recordDataHelpers;
  const getPart = _configContext$record.getPart,
        deepGet = _configContext$record.deepGet;
  const getDisplayName = configContext.refNameHelpers.getDisplayName;


  if (!data) {
    return '';
  }

  const common = getPart(data, 'loansin_common');
  const naturalHistory = getPart(data, 'loansin_naturalhistory');

  const lenderLoanNumber = naturalHistory && naturalHistory.get('lenderLoanNumber');
  const borrower = common && getDisplayName(deepGet(common, ['lenderGroupList', 'lenderGroup', 0, 'lender']));

  return [lenderLoanNumber, borrower].filter(part => !!part).join(' – ');
};