"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
const template = configContext => {
  const React = configContext.lib.React;
  const CompoundInput = configContext.inputComponents.CompoundInput;
  var _configContext$layout = configContext.layoutComponents;
  const Col = _configContext$layout.Col,
        Cols = _configContext$layout.Cols,
        Panel = _configContext$layout.Panel;
  var _configContext$record = configContext.recordComponents;
  const Field = _configContext$record.Field,
        Subrecord = _configContext$record.Subrecord;
  const extensions = configContext.config.extensions;


  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(
      Panel,
      { name: "media", collapsible: true },
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "identificationNumber" }),
          React.createElement(Field, { name: "scientificTaxonomy", subpath: "ns2:media_ucjeps" }),
          React.createElement(Field, { name: "title" }),
          React.createElement(
            Field,
            { name: "publishToList" },
            React.createElement(Field, { name: "publishTo" })
          )
        ),
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "mediaOtherNumberList", subpath: "ns2:media_ucjeps" },
            React.createElement(
              Field,
              { name: "mediaOtherNumber" },
              React.createElement(Field, { name: "numberValue" }),
              React.createElement(Field, { name: "numberType" })
            )
          ),
          React.createElement(Field, { name: "handwritten", subpath: "ns2:media_ucjeps" }),
          React.createElement(Field, { name: "postToPublic", subpath: "ns2:media_ucjeps" })
        )
      ),
      React.createElement(
        Panel,
        { name: "file", collapsible: true },
        React.createElement(Subrecord, { name: "blob", showDetachButton: true })
      ),
      React.createElement(Field, { name: "externalUrl" }),
      extensions.dimension.form,
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "majorCategory", subpath: "ns2:media_ucjeps" }),
          React.createElement(
            Field,
            { name: "morphologyCategories", subpath: "ns2:media_ucjeps" },
            React.createElement(Field, { name: "morphologyCategory" })
          ),
          React.createElement(Field, { name: "contributor" }),
          React.createElement(Field, { name: "creator" }),
          React.createElement(
            Field,
            { name: "languageList" },
            React.createElement(Field, { name: "language" })
          ),
          React.createElement(Field, { name: "publisher" }),
          React.createElement(
            Field,
            { name: "relationList" },
            React.createElement(Field, { name: "relation" })
          ),
          React.createElement(
            Field,
            { name: "persons", subpath: "ns2:media_ucjeps" },
            React.createElement(Field, { name: "person" })
          ),
          React.createElement(Field, { name: "collector", subpath: "ns2:media_ucjeps" })
        ),
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "typeList" },
            React.createElement(Field, { name: "type" })
          ),
          React.createElement(Field, { name: "coverage" }),
          React.createElement(
            Field,
            { name: "dateGroupList" },
            React.createElement(Field, { name: "dateGroup" })
          ),
          React.createElement(Field, { name: "source" }),
          React.createElement(
            Field,
            { name: "subjectList" },
            React.createElement(Field, { name: "subject" })
          ),
          React.createElement(
            Field,
            { name: "places", subpath: "ns2:media_ucjeps" },
            React.createElement(Field, { name: "place" })
          ),
          React.createElement(
            Field,
            { name: "mediaTaxaGroupList", subpath: "ns2:media_ucjeps" },
            React.createElement(
              Field,
              { name: "mediaTaxaGroup" },
              React.createElement(Field, { name: "associatedTaxon" }),
              React.createElement(Field, { name: "commonName" }),
              React.createElement(Field, { name: "interaction" })
            )
          ),
          React.createElement(Field, { name: "copyrightStatement" }),
          React.createElement(Field, { name: "rightsHolder" })
        )
      ),
      React.createElement(Field, { name: "description" }),
      React.createElement(
        Panel,
        { name: "locality", collapsible: true, collapsed: true },
        React.createElement(
          CompoundInput,
          { subpath: "ns2:media_ucjeps" },
          extensions.locality.form
        )
      )
    )
  );
};

exports.default = configContext => ({
  template: template(configContext)
});