'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = configContext => data => {
  const getPart = configContext.recordDataHelpers.getPart;
  const getDisplayName = configContext.refNameHelpers.getDisplayName;


  if (!data) {
    return '';
  }

  const common = getPart(data, 'media_common');
  const ucjeps = getPart(data, 'media_ucjeps');

  const identificationNumber = common && common.get('identificationNumber');
  const scientificTaxonomy = ucjeps && getDisplayName(ucjeps.get('scientificTaxonomy'));

  return [identificationNumber, scientificTaxonomy].filter(part => !!part).join(' – ');
};