"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
const template = configContext => {
  const React = configContext.lib.React;
  var _configContext$layout = configContext.layoutComponents;
  const Panel = _configContext$layout.Panel,
        Row = _configContext$layout.Row,
        Cols = _configContext$layout.Cols,
        Col = _configContext$layout.Col;
  var _configContext$record = configContext.recordComponents;
  const Field = _configContext$record.Field,
        InputTable = _configContext$record.InputTable,
        Subrecord = _configContext$record.Subrecord;


  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(
      Panel,
      { name: "info", collapsible: true },
      React.createElement(
        Field,
        { name: "orgTermGroupList" },
        React.createElement(
          Field,
          { name: "orgTermGroup" },
          React.createElement(
            Panel,
            null,
            React.createElement(
              Row,
              null,
              React.createElement(Field, { name: "termDisplayName" }),
              React.createElement(Field, { name: "termName" }),
              React.createElement(Field, { name: "termQualifier" }),
              React.createElement(Field, { name: "termStatus" })
            ),
            React.createElement(
              Row,
              null,
              React.createElement(Field, { name: "termType" }),
              React.createElement(Field, { name: "termFlag" }),
              React.createElement(Field, { name: "termLanguage" }),
              React.createElement(Field, { name: "termPrefForLang" })
            ),
            React.createElement(
              InputTable,
              { name: "nameDetail" },
              React.createElement(Field, { name: "mainBodyName" }),
              React.createElement(Field, { name: "additionsToName" })
            ),
            React.createElement(
              InputTable,
              { name: "termSource" },
              React.createElement(Field, { name: "termSource" }),
              React.createElement(Field, { name: "termSourceDetail" }),
              React.createElement(Field, { name: "termSourceID" }),
              React.createElement(Field, { name: "termSourceNote" })
            )
          )
        )
      ),
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "organizationRecordTypes" },
            React.createElement(Field, { name: "organizationRecordType" })
          ),
          React.createElement(Field, { name: "foundingDateGroup" }),
          React.createElement(Field, { name: "foundingPlace" }),
          React.createElement(Field, { name: "dissolutionDateGroup" })
        ),
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "groups" },
            React.createElement(Field, { name: "group" })
          ),
          React.createElement(
            Field,
            { name: "functions" },
            React.createElement(Field, { name: "function" })
          ),
          React.createElement(
            Field,
            { name: "historyNotes" },
            React.createElement(Field, { name: "historyNote" })
          )
        )
      ),
      React.createElement(
        Field,
        { name: "contactGroupList" },
        React.createElement(
          Field,
          { name: "contactGroup" },
          React.createElement(Field, { name: "contactName" }),
          React.createElement(Field, { name: "contactRole" }),
          React.createElement(Field, { name: "contactDateGroup" }),
          React.createElement(Field, { name: "contactEndDateGroup" }),
          React.createElement(Field, { name: "contactStatus" })
        )
      ),
      React.createElement(
        Field,
        { name: "associatedPersonGroupList", subpath: "ns2:organizations_naturalhistory" },
        React.createElement(
          Field,
          { name: "associatedPersonGroup" },
          React.createElement(Field, { name: "associatedPerson" }),
          React.createElement(Field, { name: "associatedPersonRole" })
        )
      )
    ),
    React.createElement(Subrecord, { name: "contact" }),
    React.createElement(
      Panel,
      { name: "hierarchy", collapsible: true, collapsed: true },
      React.createElement(Field, { name: "relation-list-item", subpath: "rel:relations-common-list" })
    )
  );
};

exports.default = configContext => ({
  template: template(configContext)
});