'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = configContext => {
  var _configContext$inputC = configContext.inputComponents;
  const TermPickerInput = _configContext$inputC.TermPickerInput,
        TextInput = _configContext$inputC.TextInput;
  const config = configContext.configHelpers.configKey;


  return {
    document: {
      'ns2:places_common': {
        placeTermGroupList: {
          placeTermGroup: {
            termSource: {
              [config]: {
                view: {
                  type: TextInput,
                  props: null
                }
              }
            },
            historicalStatus: {
              [config]: {
                defaultValue: 'current'
              }
            }
          }
        },
        placeOwnerGroupList: {
          placeOwnerGroup: {
            owner: {
              [config]: {
                view: {
                  props: {
                    source: 'person/local,organization/local,organization/institution'
                  }
                }
              }
            }
          }
        },
        placeGeoRefGroupList: {
          placeGeoRefGroup: {
            geoRefSource: {
              [config]: {
                view: {
                  type: TermPickerInput,
                  props: {
                    source: 'georefsource'
                  }
                }
              }
            }
          }
        }
      }
    }
  };
};