'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = configContext => {
  var _configContext$inputC = configContext.inputComponents;
  const AutocompleteInput = _configContext$inputC.AutocompleteInput,
        OptionPickerInput = _configContext$inputC.OptionPickerInput,
        TermPickerInput = _configContext$inputC.TermPickerInput,
        TextInput = _configContext$inputC.TextInput;
  const config = configContext.configHelpers.configKey;
  const extensions = configContext.config.extensions;


  return {
    document: Object.assign({
      'ns2:taxon_common': {
        taxonTermGroupList: {
          taxonTermGroup: {
            termName: {
              [config]: {
                cloneable: false
              }
            },
            termSource: {
              [config]: {
                view: {
                  type: TermPickerInput,
                  props: {
                    source: 'taxontermsource'
                  }
                }
              }
            }
          }
        },
        taxonRank: {
          [config]: {
            view: {
              type: TermPickerInput,
              props: {
                source: 'taxonrank'
              }
            }
          }
        },
        taxonAuthorGroupList: {
          taxonAuthorGroup: {
            taxonAuthor: {
              [config]: {
                view: {
                  props: {
                    source: 'organization/nomenclature'
                  }
                }
              }
            }
          }
        },
        taxonCitationList: {
          taxonCitation: {
            [config]: {
              view: {
                type: TextInput,
                props: null
              }
            }
          }
        },
        commonNameGroupList: {
          commonNameGroup: {
            commonName: {
              [config]: {
                view: {
                  type: AutocompleteInput,
                  props: {
                    source: 'taxon/common'
                  }
                }
              }
            },
            commonNameSource: {
              [config]: {
                view: {
                  type: TextInput,
                  props: null
                }
              }
            }
          }
        }
      }
    }, extensions['ucbnh-taxon'].fields, {
      'ns2:taxon_ucjeps': {
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/taxon/local/ucjeps'
          }
        },
        taxonMajorGroup: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.taxon_ucjeps.taxonMajorGroup.name',
                'defaultMessage': 'Major group'
              }
            }),
            view: {
              type: OptionPickerInput,
              props: {
                source: 'taxonMajorGroups'
              }
            }
          }
        }
      }
    })
  };
};